Kerbal Space Program - Bug #22821

Heatshield Collider is larger than the actual part
06/08/2019 03:31 AM - someigee

Status: Duplicate Start date: 06/08/2019
Severity: Low % Done: 100%
Assignee:
Category: Physics
Target version:
Version: 1.7.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

The Collider of the Heatshield is bigger than the part. While | am currently using both Breaking Ground and Making History, this bug
has been happening since before | got the Making History DLC.

Images

This is a link to an Imgur Album showing the bug: https:/imgur.com/a/nztH4kF

How to reproduce:

1)Put a heatshield on the back of a craft and attach a docking port to the bottom node of the heatsheild

2)Turn Shroud off on the heatshield

3)Attach a Docking Port (Which will be referred to from here on out as DP2) to the Heatshield Docking Port (Which will be called
DP1) to create a vehicle that can be docked and undocked from the main craft

4)Attach a fairing to the bottom of DP2 and clip it down as little/much as you want.

5)Build the fairing out to a length where it closes on the heatshield.

6)Attempt to Undock and Re-dock DP2 to DP1 while the fairing is still intact.

Test Craft used in this report download Link:
https://kerbalx.com/Some1/UC-Hawk-Capsule-+-Trunk-Gutted

The Bug Test Quicksave Link:
https://drive.google.com/file/d/11xAjFi8QHZuDmMUUKYXIr4aKX0_VhL1kz/view?usp=sharing

Thanks! Sorry if this is messy, this is my first bug report.

Related issues:
Is duplicate of Kerbal Space Program - Bug #22968: Heatshield Collider is lar... Needs Clarificai®@1/2019

History

#1 - 06/08/2019 03:31 AM - someigee

- Subject changed from Heatsheild Collider is larger than the actual part to Heatshield Collider is larger than the actual part

#2 - 06/08/2019 03:35 AM - some1igee
- File [UC] Hawk Capsule + Trunk Gutted.craft added

#3 - 06/17/2019 04:02 AM - someigee
- Version changed from 1.7.1t0 1.7.2
- Expansion Breaking Ground, Making History added

#4 - 11/20/2019 04:13 PM - Robert.Keech
- Is duplicate of Bug #22968: Heatshield Collider is larger than the actual part added

#5 - 11/20/2019 04:13 PM - Robert.Keech
https://imgur.com/a/nztH4kF
https://kerbalx.com/Some1/UC-Hawk-Capsule-+-Trunk-Gutted
https://drive.google.com/file/d/11xAjFj8QHZuDmUUKYXlr4aKX0_VhL1kz/view?usp=sharing

- Status changed from New to Duplicate

- % Done changed from 0 to 100

Files

[UC] Hawk Capsule + Trunk Gutted.craft 167 KB 06/08/2019 somelgee
